Difference between revisions of "Inkscape-0.4.0"

From X-Moto
Jump to: navigation, search
(Required software)
(Required software)
Line 19: Line 19:
  
 
To install the required softwares on a MacOS X box, use Fink and/or get the .dmg on the Internet. (TODO: get the exact procedure)
 
To install the required softwares on a MacOS X box, use Fink and/or get the .dmg on the Internet. (TODO: get the exact procedure)
 +
 +
 +
hi
  
 
===Installation===
 
===Installation===

Revision as of 00:02, 12 June 2007

Svg made with the 0.2.0 version of svg2lvl are not compatible with this version of svg2lvl.

Windows installation

To install Inksmoto level editor 0.4.0 on a Windows box, just double-click on the Inkscape-0.45.1_svg2lvl-0.4.0_win32.exe installer.

Linux & Mac OS X installation

Required software

  • Inkscape (>= 0.45)
  • Python (>= 2.3)
  • python-tk
  • pyXML
  • Svg2lvl converter (0.4.0)

To install the required softwares on an Linux Ubuntu box (Festy Fawn):

$ sudo apt-get install inkscape python python-tk python-xml

To install the required softwares on a MacOS X box, use Fink and/or get the .dmg on the Internet. (TODO: get the exact procedure)


hi

Installation

$ wget http://download.tuxfamily.org/xmoto/svg2lvl/0.4.0/svg2lvl-0.4.0.tar.gz
$ tar zxvf svg2lvl-0.4.0.tar.gz
$ cd ~/svg2lvl-0.4.0/
$ mkdir -p ~/.inkscape/extensions/
$ cp -f * ~/.inkscape/extensions/

Tutorial

Make a tutorial which shows 0.4.0 new stuffs